Skip to main content
GET
/
api
/
v1
/
users
/
id
/
{user_id}
curl -X GET "https://your-instance.com/api/v1/users/id/123" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "id": 123,
  "user_uuid": "user_abc123",
  "username": "johndoe",
  "first_name": "John",
  "last_name": "Doe",
  "email": "[email protected]",
  "avatar_image": "https://example.com/avatar.jpg",
  "bio": "Learning enthusiast and course creator",
  "email_verified": true,
  "details": {
    "timezone": "America/New_York"
  },
  "profile": {
    "website": "https://johndoe.com",
    "linkedin": "johndoe"
  }
}

Authentication

Requires authentication to prevent user enumeration attacks. Anonymous users cannot access this endpoint.

Security

Returns a restricted view with sensitive fields excluded (is_superadmin, signup_method).

Path Parameters

user_id
integer
required
User ID

Response

id
integer
User ID
user_uuid
string
User UUID
username
string
Username
first_name
string
First name
last_name
string
Last name
email
string
Email address
avatar_image
string
URL to avatar image
bio
string
User biography
email_verified
boolean
Whether email is verified
details
object
Additional user details
profile
object
User profile information
curl -X GET "https://your-instance.com/api/v1/users/id/123" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "id": 123,
  "user_uuid": "user_abc123",
  "username": "johndoe",
  "first_name": "John",
  "last_name": "Doe",
  "email": "[email protected]",
  "avatar_image": "https://example.com/avatar.jpg",
  "bio": "Learning enthusiast and course creator",
  "email_verified": true,
  "details": {
    "timezone": "America/New_York"
  },
  "profile": {
    "website": "https://johndoe.com",
    "linkedin": "johndoe"
  }
}

Alternative Endpoints

  • GET /api/v1/users/uuid/{user_uuid} - Get user by UUID
  • GET /api/v1/users/username/{username} - Get user by username

Build docs developers (and LLMs) love